package dtos;

import io.zipcoder.tc_spring_poll_application.domain.Vote;
import io.zipcoder.tc_spring_poll_application.repositiories.VoteRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

public class ComputerResultController {
    private VoteRepository voteRepository;
    @Autowired

    public ComputerResultController(VoteRepository voteRepository) {
        this.voteRepository = voteRepository;
    }
    @RequestMapping(value = "/computeresult",method = RequestMethod.GET)
    public ResponseEntity <?> computerResult(@RequestParam Long pollId){
        VoteResult voteResult = new VoteResult();
        Iterable <Vote> allVotes = voteRepository.findVotesByPoll(pollId);
        return new ResponseEntity<VoteResult>(voteResult, HttpStatus.OK);
    }

}
